<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.camunda.fox.platform</groupId>
  <artifactId>fox-platform-core</artifactId>
  <packaging>pom</packaging>

  <name>fox platform CE - Core</name>

  <parent>
    <groupId>com.camunda.fox.engine</groupId>
    <artifactId>fox-engine-root</artifactId>
    <version>1.26.0-SNAPSHOT</version>
    <relativePath>../../fox-engine/pom.xml</relativePath>
  </parent>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencyManagement>
    <dependencies>
      <!-- ============================================================= -->
      <!-- dependencies -->
      <dependency>
        <groupId>com.camunda.fox.engine</groupId>
        <artifactId>fox-engine</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>com.camunda.fox.engine</groupId>
        <artifactId>fox-engine-cdi</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.jboss.spec</groupId>
        <artifactId>jboss-javaee-web-6.0</artifactId>
        <version>2.0.0.Final</version>
        <type>pom</type>
        <exclusions>
          <exclusion>
            <artifactId>xalan</artifactId>
            <groupId>org.apache.xalan</groupId>
          </exclusion>
        </exclusions>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <repositories>
    <repository>
      <id>repository.jboss.org</id>
      <url>http://repository.jboss.org/nexus/content/groups/public-jboss</url>
    </repository>
    <repository>
      <id>Jboss Groups Public</id>
      <url>http://repository.jboss.org/nexus/content/groups/public</url>
    </repository>
  </repositories>

  <modules>
    <module>bom</module>
    <module>api</module>
    <module>service</module>
    <module>client</module>
    <module>deployer</module>
  </modules>
  
  <scm>
    <connection>scm:git:git@bitbucket.org:camunda/fox-platform-ce.git</connection>
    <developerConnection>scm:git:git@bitbucket.org:camunda/fox-platform-ce.git</developerConnection>
  </scm>

  <distributionManagement>
	<repository>
	  <id>camunda-fox</id>
	  <name>Fox Releases</name>
	  <url>${distro.repo.ce}</url>
	</repository>
    <snapshotRepository>
      <id>camunda-fox</id>
      <name>Fox Snapshots</name>
      <url>https://app.camunda.com/nexus/content/repositories/fox-snapshot/</url>
    </snapshotRepository>	
  </distributionManagement>  

</project>
